GoodMemGoodMem
ReferenceSdkRustTypes

UsersGetByUsernameOptions

Rust struct goodmem::api::UsersGetByUsernameOptions: declaration, fields or variants, and implementations.

All types

Struct UsersGetByUsernameOptions

goodmem::api::UsersGetByUsernameOptions

Query parameters and headers for users.get_by_username.

pub struct UsersGetByUsernameOptions {
    pub include_deleted: Option<bool>,
}

Fields

include_deleted

pub include_deleted: Option<bool>

Permit an authorized read of a permanent tombstone Wire name: includeDeleted.

Trait implementations

  • Clone (derived)
  • Debug (derived)
  • Default (derived)
  • Serialize (derived)

On this page